[lfs-support] (LFS 7.9) 5.10. GCC-5.3.0 - Pass 2 error loading plugin: /lib64/libc.so.6: version `GLIBC_2.14' not found

Chris Staub chris at beaker67.com
Tue May 3 09:40:41 PDT 2016


On 05/03/2016 09:47 AM, Madhusudhan Acharya wrote:
> Hi
>
> I am trying to build a new system using CentOS 6.7 as the
> base by referring LFS-BOOK-7.9 for the build purpose. In
> the stage "5.10. GCC-5.3.0 - Pass 2", i am seeing below
> error while running make command
>
> /lfs/tools/bin/../lib/gcc/x86_64-lfs-linux-gnu/5.3.0/../../../../x86_64-lfs-linux-gnu/bin/ld: /lfs/sources/gcc-5.3.0/build/./gcc/liblto_plugin.so: error loading plugin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /lfs/sources/gcc-5.3.0/build/./gcc/liblto_plugin.so)
>
> All required packages seems to be present in the system
>

I don't think this has anything to with the error, but there is at least 
one package you are missing:

> [root at maddy-linux-dev ~]# bash version-check.sh
> version-check.sh: line 42: makeinfo: command not found
>
>
> Am i missing anything here? Can someone suggest me how i can solve this issue?
>
> thanks in advance
> Maddy

Also, have you been using the lfs user entirely so far in Chapter 5? 
Show the output of "ls -l /tools/bin".


More information about the lfs-support mailing list